How to update Plesk Obsidian to the latest build

Follow

Comments

19 comments

  • Avatar
    Glenn

    I went through the step and the Upgrade page doesn't show an available update from Onyx to Obsidian and Install and Upgrade button is greyed out. I tried Plesk Installer directly on the server and same problem. 

    I'm running Windows 2008 standard.

     

    thx

    0
    Comment actions Permalink
  • Avatar
    Anzhelika Khapaknysh

    @Glenn,

    That's because Plesk Obsidian supports Windows Server 2012 and higher. All software requirements are available in this doc

    Also, Windows Server 2008 has reached its end-of-life in January 2020.

    So in your case, the best scenario is to deploy a new server with the supported Windows Server version and with Plesk Obsidian being installed and then to migrate on it using these instructions.

    0
    Comment actions Permalink
  • Avatar
    Glenn

    Thanks Anzhelika, I thought that might be it. 

    0
    Comment actions Permalink
  • Avatar
    John Lloyd (Edited )

    Is it a fact that Plesk version 17.5.3 will not install on Windows 2008 R2. I got this error message when I tried to upgrade from 11.5.30 to 17.5.3, but I also got an option to contimue which I did not try. ERROR/Warning:
    ++++
    Plesk pre-upgrade checking...
    WARNING: Starting from Parallels Plesk 12.0, MyLittleAdmin 2000 is no longer supported.
    ERROR: The system was unable to find the specified registry key or value.

    Proceeding with installation or upgrade without resolving the issues that were found can corrupt your data.
    I confirm that I want to continue, regardless of the issues found.
    ++++

    Can I continue? What is the risk if I do. Where do I get a registry key?

    Thank you

    0
    Comment actions Permalink
  • Avatar
    Ivan Postnikov

    Hello John Lloyd

    The error

    ERROR: The system was unable to find the specified registry key or value.

    means that some Plesk-related information in the Windows registry is missing or corrupted. Sometimes this happens due to previously failed updates.

    In case proceeding with the upgrade may cause Plesk inaccessibility. Additionally, Windows Server 2008 R2 support was dropped by Microsoft this year, so Plesk installations on this OS are no longer supported.

    The recommended approach in your case is to prepare a new server with the supported OS (Windows Server 2012 or newer) and migrate domains there using this guide.

    0
    Comment actions Permalink
  • Avatar
    webmaster

    bonjour
    nous avons acheté une licence plesk mais quand nous nous procedons a la mise a jour de cette clé nous recevons ce message d erreur
    La clé de licence est destinée uniquement à être utilisée avec Plesk fonctionnant dans les environnements virtuels suivants : Conteneurs Virtuozzo, VMWare, Microsoft Hyper-V, Xen, KVM, Hyperviseur Virtuozzo, LXC, Docker. et la clé a ete envoyé


    merci

    0
    Comment actions Permalink
  • Avatar
    Ivan Postnikov

    Hello webmaster

    This means that the key you have isn't suitable for the type of server you use.

    Please, submit a request here to get assistance: https://www.plesk.com/licensing-and-purchase-support/

    0
    Comment actions Permalink
  • Avatar
    Md Mainur

    0
    Comment actions Permalink
  • Avatar
    Ivan Postnikov

    Hello Md Mainur

    This article will help to fix your issue: https://support.plesk.com/hc/en-us/articles/115004292734 

    0
    Comment actions Permalink
  • Avatar
    Luis Zubeldia

    what is the difference between 

     plesk installer update

    and

    plesk installer --select-release-latest --upgrade-installed-components
    0
    Comment actions Permalink
  • Avatar
    Curtis Maurand

    actually, it's a PITA.  there is nothing that says recheck my license

     

    0
    Comment actions Permalink
  • Avatar
    Marija Bogdanova

    During the upgrade from Plesk Onyx Version 17.8.11 Update #94 to Plesk Obsidian 18.0.39, using Windows Server 2012 R2, I had this problem, but solved it following the proposed solution:

    https://talk.plesk.com/threads/server-error-500-error-after-upgrading-to-18-0-39-class-graphql-utils-not-found.362701/#post-900145

    https://support.plesk.com/hc/en-us/articles/360010920974

     

    The upgrade lasted around 1.5h.

    During the upgrade some of the pages were not working, so have this in mind.

    0
    Comment actions Permalink
  • Avatar
    Ian Corner

    You now lock anyone who has not updated to the latest Plesk from contacting support? Who came up with that masterful piece of customer awareness? I am unable to update! Plus I now have to write in a public forum even though I am a paying customer. Ridiculous decision. Anyone who cannot update and seeing that is going to think, I have better find a new solution.

    1
    Comment actions Permalink
  • Avatar
    javier delgado rosas

    Can not update, error
    archivo http://20181223-21h42m01s.parallels.mirrors.ovh.net.snap-gra.mirrors.ovh.net/parallels/products.inf3:
    The requested URL returned error: 404 Not Found

    0
    Comment actions Permalink
  • Avatar
    dupin rodolphe

    je voudrais savoir quelle version ubuntu : 18 ou 20, je dois installé pour installer la dernier version de plesk pour mon serveur; que je dois renouveler le 27 avril 2022 ?

     

    0
    Comment actions Permalink
  • Avatar
    Kuzma Ivanov (Edited )

    Hi javier delgado rosas

    Try to apply the solution from this KB article:

    https://support.plesk.com/hc/en-us/articles/115004292734

    0
    Comment actions Permalink
  • Avatar
    Kuzma Ivanov

    Hello Julio Alonso Cartier

    If Plesk updates are not available, make sure that your server OS is supported by Plesk:

    https://www.plesk.com/lifecycle-policy/

    0
    Comment actions Permalink
  • Avatar
    DORENLOT

    Bonjour,

    Je ne peux pas mettre a jour plesk

    Message d'erreur : L'utilitaire yum n'a pas réussi à installer les packs requis.

    Je ne sais vraiment pas quoi faire !

    0
    Comment actions Permalink
  • Avatar
    Web Plesk

    I need immediate assistance, and I do not want to riskh knocking the server off line.  I have paid for professional service, I need your assistance.  I have used the online updates and the suggestions did NOT work.  White screen of death.

    Tried to do a backup for a customer and got the following error:

    Execution of /opt/psa/admin/plib/api-cli/domain_pref.php --update designersplumbing.com -disk_space_soft 80B -ignore-nonexistent-options failed with return code 1.

    Stderr is

    An error occurred while updating domain settings: Cannot set limit 'disk_space_soft' value to '80': New value is less than the currently used amount of resources (1531789312).

    0
    Comment actions Permalink

Please sign in to leave a comment.

Have more questions? Submit a request